MiniHotel webhooks allow external systems to receive real-time notifications when selected events happen in MiniHotel.
Current webhook events include reservation events and room occupancy events. Reservation webhooks are sent when a reservation is created, updated, or cancelled. Room occupancy webhooks are sent when a room’s occupancy state changes, such as guest check-in or check-out.
Endpoint Requirements
MiniHotel webhooks are sent to a partner-provided REST API endpoint.
To get started with our webhooks, please contact us and share the endpoint where you would like to receive webhook notifications.
Additionally, provide a username and password that will be used to authenticate requests to your Notifications API using Basic Authentication.
https://backend.dummy-partner.com/api/2.0/pms/minihotel/event/
| Requirement | Details |
|---|---|
| Method | HTTP POST |
| Request body | JSON |
| Authentication | Basic Authentication |
| Success response | HTTP 2xx response |
| Recommended response | 200 OK |
Generic request structure
Webhook requests are sent using a generic structure. The information relevant to each notification type is included within the payload property.
| Field | Type | Description | Example |
|---|---|---|---|
| eventId | String | A unique GUID that identifies the event | 56e39148-f14c-4135-a28e-3bae1489aa2a |
| notificationID | Long | Internal notification ID | 5 |
| hotelCode | String | Minihotel property code | sandbox |
| notificationType | String | A unique identifier that specifies the category or type of the notification | room.occupancy.updated |
| payload | Object | Contains all data associated with the current event/notification |
Note:
eventIDis used (with a capital D) while the generic schema listseventId. Keep your parsing tolerant to this naming variation.
